Summary: HTTP Configurations files for 2800R aka raq2
Name: apache-conf-raq2
Version: 1.0
Release: 16
Copyright: GPL
Group: Networking/Daemons
Source0: apache-conf-raq2.tar.gz
BuildRoot: /tmp/apache-conf-raq2
BuildArchitectures: noarch

%description
Configuration files for Apache on 2800R aka raq2

%prep 
%setup -n apache-conf-raq2

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
mkdir -p $RPM_BUILD_ROOT/etc/admserv/conf

install -m644 srm.conf.user ${RPM_BUILD_ROOT}/etc/httpd/conf/srm.conf
install -m644 access.conf.user ${RPM_BUILD_ROOT}/etc/httpd/conf/access.conf
install -m644 httpd.conf.user ${RPM_BUILD_ROOT}/etc/httpd/conf/httpd.conf
install -m644 mime.types.user ${RPM_BUILD_ROOT}/etc/httpd/conf/mime.types

install -m644 srm.conf.admin ${RPM_BUILD_ROOT}/etc/admserv/conf/srm.conf
install -m644 access.conf.admin ${RPM_BUILD_ROOT}/etc/admserv/conf/access.conf
install -m644 httpd.conf.admin ${RPM_BUILD_ROOT}/etc/admserv/conf/httpd.conf
install -m644 mime.types.admin ${RPM_BUILD_ROOT}/etc/admserv/conf/mime.types

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%attr(-,root,root) %config /etc/httpd/conf/srm.conf
%attr(-,root,root) %config /etc/httpd/conf/access.conf
%attr(-,root,root) %config /etc/httpd/conf/httpd.conf
%attr(-,root,root) %config /etc/httpd/conf/mime.types
%attr(-,root,root) %config /etc/admserv/conf/srm.conf
%attr(-,root,root) %config /etc/admserv/conf/access.conf
%attr(-,root,root) %config /etc/admserv/conf/httpd.conf
%attr(-,root,root) %config /etc/admserv/conf/mime.types

%changelog
* Tue Mar 3 1999 Duncan Laurie <duncan@cobaltnet.com>
- 1.0-15
- change rewrite rules to be [L,R] instead of just [L]
- remove files directive altogether

* Sat Feb 27 1999 Will DeHaan <will@cobaltnet.com>
- Change file ignore syntax

* Fri Feb 26 1999 Duncan Laurie <duncan@cobaltnet.com>
- fix rewrite rules with /index.html for siteManage and personal redirects
- put in qube2hotfix (redundant) for raq2 to ignore .files

* Tue Feb 23 1999 Sridhar Gopal <gsri@cobaltnet.com>
- User/Group directives now use name instead of id
- AuthFailDelay directive supported by mod_auth_pam for both user/admin servers

* Wed Feb 17 1999 Will DeHaan <will@cobaltnet.com>
- Add index.shtml to the default index page list (srm.conf.user)

* Tue Feb 16 1999 Brion Moss <brion@nda.com>
- Add a RewriteRule for rewriting ~[user] to /users/[user]
- Disabled userdirs
  (hopefully this won't confuse FrontPage)

* Thu Feb 11 1999 Sridhar Gopal <gsri@cobaltnet.com>
- update admin rewrite rule in srm.conf.user to fix PRs 2725 and 2755
- add [L] to all RewriteRule lines to disable redundant rewrite searches
- "Options -Indexes" for /usr/admserv/html in access.conf.admin
- "Options None" already for /usr/admserv/cgi-bin in access.conf.admin
- trash both previous revisions:
  SSI needs Includes and not Indexes
  Do not do a global replace w/o understanding what -Indexes does

* Mon Feb 08 1999 Will DeHaan <will@cobaltnet.com>
- Edited access.con.user, re-enabled Indexing.  Necessary for SSI parsing.

* Mon Feb 01 1999 Martin Bogomolni <martinb@cobaltnet.com>
- Edited srm.conf.user, srm.conf.admin to remove automatic directory indexing
- Edited access.conf.user, access.conf.admin to remove automatic directory indexing

* Thu Jan 28 1999 Will DeHaan <will@cobaltnet.com>
- Set user web directory to "web" (srm.conf.user)

* Wed Jan 27 1999 Will DeHaan <will@cobaltnet.com>
- fix screwed up screwup fix (srm.conf.user /personal/ rewrite rule)
- AllowOverride All for FPX support (access.conf.user)
- Add Includes to default options for SSI support (access.conf.user)
- New log file names, "access" and "error"
- Include canonical virtual site name as the first "access" field

* Wed Jan 20 1999 Sridhar Gopal <gsri@cobaltnet.com>
- fix screwups!
- relax /.user/ rewrite rule in srm.conf.admin
- change rewrite rule for siteManage and personal for vsites

* Wed Jan 20 1999 Will DeHaan <will@cobaltnet.com>
- Change user document root to reflect new filesystem structure
- Add .user rewrite rule
- Leapfrog Rev3 (never used)

* Wed Jan 13 1999 Duncan Laurie <duncan@cobaltnet.com>
 - rewrite rules for public site modified

* Tue Jan 12 1999 Sridhar Gopal <gsri@cobaltnet.com>
- add missing redirects
- make rewrite rules more strict

* Wed Jan 06 1999 Duncan Laurie <duncan@cobaltnet.com>
 - RaQ-2 specific
 - use mod_rewrite calls
